
TYPO3.Flow - Bug # 25880

Status: Resolved Priority: Must have
Author: Bastian Waidelich Category: Core
Created: 2011-04-11 Assigned To: Bastian Waidelich
Updated: 2011-04-12 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Increase minimum PHP version
Description

Currently the MINIMUM_PHP_VERSION is set to '5.3.0RC2-dev' in the Bootstrap.
But we're calling \ReflectionMethod::setAccessible() in several places, which is only available with since PHP 5.3.2.

Associated revisions
Revision 318044a7 - 2011-04-12 12:08 - Bastian Waidelich

[+BUGFIX] Increase minimum PHP version to 5.3.2

Currently the MINIMUM_PHP_VERSION is set to '5.3.0RC2-dev' in
the Bootstrap.
But we're calling \ReflectionMethod::setAccessible() in several places,
which is only available with since PHP 5.3.2.

Change-Id: If935afa648afbf00d214a7948d7bc8d083d204f9
Fixes: #25880

History
#1 - 2011-04-11 12:09 - Mr. Hudson

Patch set 1 of change If935afa648afbf00d214a7948d7bc8d083d204f9 has been pushed to the review server.
It is available at http://review.typo3.org/1545

#2 - 2011-04-11 16:12 - Mr. Hudson

Patch set 2 of change If935afa648afbf00d214a7948d7bc8d083d204f9 has been pushed to the review server.
It is available at http://review.typo3.org/1545

#3 - 2011-04-12 12:08 - Mr. Hudson

Patch set 3 of change If935afa648afbf00d214a7948d7bc8d083d204f9 has been pushed to the review server.
It is available at http://review.typo3.org/1545

#4 - 2011-04-12 12:30 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:318044a7450d57880c5f1a14ea1a013168322534.
